"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config = require("config");
const log4js = require("log4js");
/**
 * LogUtil
 */
class LogUtil {
    static init() {
        log4js.configure(config.get("log4js"));
        this.LOGGER = log4js.getLogger();
    }
    static getLogger() {
        return this.LOGGER;
    }
    static trace(message, ...args) {
        this.LOGGER.trace(message, args);
    }
    static debug(message, ...args) {
        this.LOGGER.debug(message, args);
    }
    static info(message, ...args) {
        this.LOGGER.info(message, args);
    }
    static warn(message, ...args) {
        this.LOGGER.warn(message, args);
    }
    static error(message, ...args) {
        this.LOGGER.error(message, args);
    }
    static fatal(message, ...args) {
        this.LOGGER.fatal(message, args);
    }
}
exports.default = LogUtil;
LogUtil.init();
//# sourceMappingURL=LogUtil.js.map